<?php
/**
* Additional Woocommerce Settings.
*
* @package Solar Energy Engine
*/

$solar_energy_engine_default = solar_energy_engine_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'solar_energy_engine_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'solar-energy-engine' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'solar_energy_engine_theme_option_panel',
	)
);

	$wp_customize->add_setting('solar_energy_engine_per_columns',
		array(
		'default'           => $solar_energy_engine_default['solar_energy_engine_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'solar_energy_engine_sanitize_number_range',
		)
	);
	$wp_customize->add_control('solar_energy_engine_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'solar-energy-engine'),
		'section'     => 'solar_energy_engine_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('solar_energy_engine_product_per_page',
		array(
		'default'           => $solar_energy_engine_default['solar_energy_engine_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'solar_energy_engine_sanitize_number_range',
		)
	);
	$wp_customize->add_control('solar_energy_engine_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'solar-energy-engine'),
		'section'     => 'solar_energy_engine_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('solar_energy_engine_show_hide_related_product',
    array(
        'default' => $solar_energy_engine_default['solar_energy_engine_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'solar_energy_engine_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('solar_energy_engine_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'solar-energy-engine'),
	        'section' => 'solar_energy_engine_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('solar_energy_engine_custom_related_products_number',
		array(
		'default'           => $solar_energy_engine_default['solar_energy_engine_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'solar_energy_engine_sanitize_number_range',
		)
	);
	$wp_customize->add_control('solar_energy_engine_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'solar-energy-engine'),
		'section'     => 'solar_energy_engine_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('solar_energy_engine_custom_related_products_number_per_row',
		array(
		'default'           => $solar_energy_engine_default['solar_energy_engine_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'solar_energy_engine_sanitize_number_range',
		)
	);
	$wp_customize->add_control('solar_energy_engine_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'solar-energy-engine'),
		'section'     => 'solar_energy_engine_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);